summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Fernando Lopez Jr2019-09-28 05:20:08 +0200
committer Willy Sudiarto Raharjo2019-09-28 05:21:18 +0200
commit12793d80af1e392bd94c1ee72c54e750483d17a4 (patch)
tree04dc12071afd3fff359da32615023d45443a4302 /libraries
parentba39e4953c8db92cdd82786c4be852f28fa3ca9c (diff)
downloadslackbuilds-12793d80af1e392bd94c1ee72c54e750483d17a4.tar.gz
libraries/cgicc: Added (C++ library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/cgicc/README14
-rw-r--r--libraries/cgicc/cgicc.SlackBuild92
-rw-r--r--libraries/cgicc/cgicc.info10
-rw-r--r--libraries/cgicc/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/cgicc/README b/libraries/cgicc/README
new file mode 100644
index 0000000000..b7c6e61d4b
--- /dev/null
+++ b/libraries/cgicc/README
@@ -0,0 +1,14 @@
+GNU Cgicc is an ANSI C++ compliant class library that greatly
+simplifies the creation of CGI applications for the World Wide
+Web. cgicc performs the following functions:
+
+- Parses both GET and POST form data transparently.
+- Provides string, integer, floating-point and single- and
+ multiple-choice retrieval methods for form data.
+- Provides methods for saving and restoring CGI environments
+ to aid in application debugging.
+- Provides full on-the-fly HTML generation capabilities, with
+ support for cookies.
+- Supports HTTP file upload.
+- Compatible with FastCGI.
+- License: LGPL. \ No newline at end of file
diff --git a/libraries/cgicc/cgicc.SlackBuild b/libraries/cgicc/cgicc.SlackBuild
new file mode 100644
index 0000000000..6edab23a03
--- /dev/null
+++ b/libraries/cgicc/cgicc.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for cgicc
+
+# Copyright 2017 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cgicc
+VERSION=${VERSION:-3.2.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS_FOR_BUILD="$SLKCFLAGS" \
+CXXFLAGS_FOR_BUILD="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING.DOC ChangeLog INSTALL README README.WIN THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/cgicc/cgicc.info b/libraries/cgicc/cgicc.info
new file mode 100644
index 0000000000..652951da19
--- /dev/null
+++ b/libraries/cgicc/cgicc.info
@@ -0,0 +1,10 @@
+PRGNAM="cgicc"
+VERSION="3.2.9"
+HOMEPAGE="https://www.gnu.org/software/cgicc/index.html"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/cgicc/cgicc-3.2.9.tar.gz"
+MD5SUM="9c62692a2f08e2ee48c3ccc401047e80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/libraries/cgicc/slack-desc b/libraries/cgicc/slack-desc
new file mode 100644
index 0000000000..830946aac0
--- /dev/null
+++ b/libraries/cgicc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cgicc: cgicc (C++ library)
+cgicc:
+cgicc: GNU Cgicc is an ANSI C++ compliant class library that greatly
+cgicc: simplifies the creation of CGI applications for the World Wide Web.
+cgicc:
+cgicc:
+cgicc:
+cgicc:
+cgicc:
+cgicc:
+cgicc: